% weights and points for Gauss Jocobbi

classdef gaussJacob < Measure.pointMeasure
    methods
        function A = gaussJacob(alpha, N)
            dim = 1;
            [x,w]=Measure.gaussJacobi(alpha, N, 0, 1);
            A@Measure.pointMeasure(dim, N, w, x);
        end
    end
end