 function [x,w] = intervalTransformation(tempX, tempW, x0,x1, a, b, varargin)
    x = a + (b-a)/(x1-x0)*(tempX-x0);
    if isempty(varargin)
       w = (b-a)/(x1-x0)*tempW;
    end
    if length(varargin)==1
        w = varargin{1}*(b-a)/(x1-x0)*tempW;
    end
end
