
classdef delta < form
    properties
        x0;
    end
    methods 
        function da = delta(x0, Vs)
            if ~check_xInDomain(Vs.domain,x0)
                error('x0 is not in the domain of the function system');
            end
            da@form(Vs);
            da.x0 = x0;
        end
        function ev = at(da,f)
            if (isa(f,'funcSys') || isa(f,'func')) && f.domain==da.Vs.domain && f.range==da.Vs.range 
                   ev = f.at(da.x0); 
            else
                error('f is not function in the function space');
            end 
        end
    end
end