% the class 'form' includes all the functional from the function space 'Fs' to
% the field 'K'.

classdef form
    properties
        Vs;  
        K; 
    end
    methods 
        function fo = form(Vs)
            if ~isa(Vs,'vectorSpace')
                error('The first argument is a vector space');
            end       
            fo.Vs = Vs;
            fo.K = Vs.range; 
        end 
    end
end