

classdef indepFuncSys < funcSys 
    properties 
        functnals;
        vdM;
    end
    methods
        function ifs = indepFuncSys(funcs, forms)
            if length(funcs)~=length(forms)
                error('The function system does not coincide with the functional system');
            end 
            for k=1:length(funcs) 
                if ~isa(funcs{k},'func') 
                 error('The independent system is a function system');
                end
                if ~isa(forms{k},'form')
                 error('The independent system is with evaluation founctionals');
                end
            end
            ifs@funcSys(length(funcs),funcs);   
            ifs.functnals = forms;
            for k=1:length(forms)
              ifs.vdM(:,k) = forms{k}.at(ifs);
            end 
            if ~det(ifs.vdM)
               error('The given function system is not independent');
            end             
        end 
    end
end