
% point is a triangulation with one node and one cell (same as the node),
% hence, point includes one 0-polytope.
% point is takes as the reference, therefore point does not need reference (nref=0).

classdef point < triangulation1D   
    methods
       function p = point()
           node = 0;
           em = 1;
           p@triangulation1D(node,em);  
           p.poly2node{1} = 1;
           p.poly2dim = 0; 
           p.poly2cell{1} = 1; 
           p.cell2poly = 1; 
           p.node2poly{1} = 1; 
           p.npoly = 1;
           p.ncell = 1;
           p.nnode = 1;
           p.nref = 0; 
           p.dim = 0;  % the maximal dimension of the polytope 
           p.loc2glob = 1;
           p.poly2aff = 1;
       end
  
    end
end
        