
classdef field
    properties
        K;  
    end
    methods
        function fd=field(c)
            if c~='R' && c~='C'
                error('The field is either R or C');
            end
            fd.K = c;
        end
        function s = ne(this,f)
            if ~isa(this, 'field') || ~isa(f, 'field')
                error('Here should be two fields for comparison');
            end
            s = ~isequal(this.K,f.K);
        end
        function s = eq(this,f)
            if ~isa(this, 'field') || ~isa(f, 'field')
                error('Here should be two fields for comparison');
            end
            s = isequal(this.K, f.K);
        end
        function s = in(this,x)
            if ~isa(this, 'field') || ~isa(x, 'numeric')
                error('Here is to check if the number x in this field');
            end
            if this.K == 'R'
                s = real(x)==x;
            end
            if this.K == 'C'
                s = (real(x)+imag(x)*1i) == x;
            end           
        end
            
    end
end