
classdef formSys
    properties
        nform;
        functnals;
    end
    methods 
        function fms = formSys(fm)
            fms.nform = length(fm);
            if ~check_functnal(fm)
                error('The functional system is wrongly given');
            end
            fms.functnals = fm;
        end
        %
        
    end
    
    methods (Static, Access=private)
        function orn = check_functnal(fm)
            orn = 1;
            for k=1:length(fm)
                orn = orn && isa(fm{k},'form');
                orn = orn && fm{k}.Vs==fm{1}.Vs;
                orn = orn && fm{k}.K==fm{1}.K;
                if  ~orn 
                    error('The given functionals are not on the same function space or not to the same field');
                end
            end
        end
    end
end