% segment is a triangulation with 2 nodes (2 0-polytopes) and one cell (1 1-polytope).
% segment is taken as the reference for 1-polytope, therefore its 1-polytope does not need reference. 

classdef segment < triangulation1D   
    methods
        function sg = segment()
           node = [0;1];
           em =[1,2];
           sg@triangulation1D(node,em); 
           sg.npoly = 3;
           sg.ncell = 1;
           sg.nnode = 2;
           sg.nref = 1; 
           sg.ref{1} = point();
           sg.poly2node{1} = 1;
           sg.poly2node{2} = 2;
           sg.poly2node{3} = [1,2];
           sg.poly2ref(1) = 1;
           sg.poly2ref(2) = 1; 
           sg.poly2dim = [0,0,1]; 
           sg.dim = max(sg.poly2dim); 
           sg.poly2cell{1} = 1;  
           sg.poly2cell{2} = 1;  
           sg.poly2cell{3} = 1;  
           sg.cell2poly = 3; 
           sg.node2poly{1} = [1,3]; 
           sg.node2poly{2} = [2,3]; 
           sg.loc2glob = [1,2]; 
           sg.poly2aff = [1,0; -1 1];
           sg.cell2Aff{1} = @(x) x; 
        end
   
    end
end